> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get service status

> Retrieve the service status for settings.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-templating.json get /settings/status
openapi: 3.0.1
info:
  title: Fusion Templating API
  description: >-
    This API lets you perform create, read, update, and delete (CRUD) operations
    on templates and zones, and retrieve and render templates for particular
    navigation states.
  termsOfService: https://lucidworks.com/legal/developer-license-agreement/
  contact:
    name: Lucidworks
    url: https://lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION_HOST.com}/api/templating
    description: Fusion
    variables:
      FUSION_HOST.com:
        default: ''
security: []
tags:
  - name: page-metadata-controller
    description: Endpoints with this tag modify page metadata.
  - name: render-controller
    description: >-
      Endpoints with this tag use the GET and POST operations to retrieve,
      render, create, read, update, and delete Fusion application templates that
      are published or in staging (unpublished).
  - name: template-settings-controller
    description: >-
      Endpoints with this tag use the GET, POST, PUT, and DELETE operations to
      create, read, update, and delete configuration information for the Fusion
      Templating service.
  - name: templates-controller
    description: >-
      Endpoints with this tag use the GET, POST, PUT, and DELETE operations to
      create, read, update, and delete Fusion application template information.
  - name: trigger-controller
    description: >-
      Endpoints with this tag use the GET and POST operations to retrieve,
      create, read, and update the Fusion application templates that are
      published or in staging (unpublished) without rendering.
  - name: zones-controller
    description: >-
      Endpoints with this tag use the GET, POST, PUT, and DELETE operations to
      retrieve, create, read, update, and delete zone information (Fusion query
      profiles).
paths:
  /settings/status:
    get:
      tags:
        - template-settings-controller
      summary: Get service status
      description: Retrieve the service status for settings.
      operationId: get-settings-status
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/settingsStatusResponse'
        '401':
          description: Unauthorized
          content: {}
        '403':
          description: Forbidden
          content: {}
        '404':
          description: Not Found
          content: {}
components:
  schemas:
    settingsStatusResponse:
      title: settingsStatusResponse
      x-stoplight:
        id: 2quvhn4l9jgt4
      type: array
      items:
        x-stoplight:
          id: 69n393ckjk8lj
        type: object
        properties:
          status:
            type: string
            x-stoplight:
              id: wt8sznt0ir9tw
            description: The status of the settings of the schema.
            example: ok
          node:
            type: string
            x-stoplight:
              id: 6y2004vw0d0v5
            description: The location of the template settings.
            example: http://templating/settings
          messages:
            type: array
            x-stoplight:
              id: yde05aa6j0u4x
            description: The message date and contents of the status of the settings.
            items:
              x-stoplight:
                id: istajcrl8fr7f
              type: object
              properties:
                date:
                  type: string
                  x-stoplight:
                    id: 4vi22e0w80gus
                  description: The date of the status response.
                  example: ''
                  format: ''
                message:
                  type: string
                  x-stoplight:
                    id: z4wox5guzm2xf
                  description: Additional message text returned in the response.
                  example: Additional message text.

````